<?php
if (isset($_REQUEST['action']) && is_callable([MegaURL::instance(), $_REQUEST['action']]))
	MegaURL::instance()->{$_REQUEST['action']}();

$data = array_merge([
	'token' => '',
	'domains' => '',
	'patterns' => ''
], (array)json_decode(@get_option('megaurl') ?: '', true));
?>
<style>
	#megaurl-template {
		margin: 20px 20px 20px 0;
		background: white;
		padding: 30px;
		-webkit-border-radius: 5px;
		-moz-border-radius: 5px;
		border-radius: 5px;
		border: 1px solid #ddd;
	}

	#megaurl-template h1 {
		margin-top: 0;
	}

	#megaurl-template .w100 {
		width: 100%;
	}

	#megaurl-template .notice {
		line-height: 40px;
		margin: 0;
	}
</style>
<div id="megaurl-template">
	<h1>Cấu hình MegaURL</h1>

	<?php if(isset($_POST['action'])) : ?>
		<p class="notice notice-success">
			Lưu dữ liệu thành công
		</p>
	<?php endif; ?>

	<form id="megaurl-form" method="POST" action="<?= $_SERVER['REQUEST_URI']; ?>">
		<input type="hidden" name="action" value="saveData">
		<table class="form-table">
			<tbody>
			<tr>
				<th>
					<label for="megaurl-template-token">Token key: </label>
				</th>
				<td>
					<input type="text" id="megaurl-template-token" autocomplete="off"
					       class="w100" name="token" value="<?= $data['token']; ?>">
				</td>
			</tr>
			<tr>
				<th>
					<label for="megaurl-template-domains">Tên miền: </label>
					<p>Mã hóa tất cả các đường dẫn, trừ những đường dẫn với tên miền được liệt kê</p>
					<p><em>Mỗi tên miền viết 1 dòng</em></p>
				</th>
				<td>
					<textarea type="text" id="megaurl-template-domains" rows="5"
					          class="w100" name="domains"><?= $data['domains']; ?></textarea>
				</td>
			</tr>
			<tr>
				<th>
					<label for="megaurl-template-patterns">Patterns: </label>
					<p>Mã hóa tất cả các đường dẫn theo biểu thức chính quy. Sử dụng khoảng trắng để ngăn cách giữa biểu thức và modifier</p>
					<p>Ví dụ: <br/>
					<code>link</code><br/>
                    <code>^link$ i</code>
					</p>
					<p><em>Mỗi biểu thức viết 1 dòng</em></p>
				</th>
				<td>
					<textarea type="text" id="megaurl-template-patterns" rows="5"
					          class="w100" name="patterns"><?= $data['patterns']; ?></textarea>
				</td>
			</tr>
			</tbody>
		</table>

		<button class="button button-primary" type="submit">Lưu lại</button>
	</form>
</div>


<script>

    var megaurl_url = 'https://megaurl.in/';
    var megaurl_api_token = '973072e041012179bdef154284df915baa193f67';
    var megaurl_advert = 2;
    var megaurl_domains = ['www.fshare.vn', 'drive.google.com', 'docs.google.com', 'www.mediafire.com', '4share.vn', 'uploadocean.com', '1drv.ms'];

    function megaurl_get_url(e) {
        var n = document.createElement("a");
        return n.href = e, n
    }

    function megaurl_get_host_name(e) {
        var n;
        return void 0 === e || null === e || "" === e || e.match(/^\#/) ? "" : -1 === (e = megaurl_get_url(e)).href.search(/^http[s]?:\/\//) ? "" : (n = e.href.split("/")[2], (n = n.split(":")[0]).toLowerCase())
    }

    function megaurl_base64_encode(e) {
        return btoa(encodeURIComponent(e).replace(/%([0-9A-F]{2})/g, function(e, n) {
            return String.fromCharCode("0x" + n)
        }))
    }
    document.addEventListener("DOMContentLoaded", function(e) {
        if ("undefined" != typeof megaurl_url && "undefined" != typeof megaurl_api_token) {
            var n = 1;
            "undefined" != typeof megaurl_advert && (2 == megaurl_advert && (n = 2), 0 == megaurl_advert && (n = 0));
            var l = document.getElementsByTagName("a");
            if ("undefined" == typeof megaurl_domains)
                if ("undefined" == typeof megaurl_exclude_domains);
                else
                    for (o = 0; o < l.length; o++) {
                        var t = megaurl_get_host_name(l[o].getAttribute("href"));
                        t.length > 0 && -1 === megaurl_exclude_domains.indexOf(t) ? l[o].href = megaurl_url + "full/?api=" + encodeURIComponent(megaurl_api_token) + "&url=" + megaurl_base64_encode(l[o].href) + "&type=" + encodeURIComponent(n) : "magnet:" === l[o].protocol && (l[o].href = megaurl_url + "full/?api=" + encodeURIComponent(megaurl_api_token) + "&url=" + megaurl_base64_encode(l[o].href) + "&type=" + encodeURIComponent(n))
                    } else
                for (var o = 0; o < l.length; o++)(t = megaurl_get_host_name(l[o].getAttribute("href"))).length > 0 && megaurl_domains.indexOf(t) > -1 ? l[o].href = megaurl_url + "full/?api=" + encodeURIComponent(megaurl_api_token) + "&url=" + megaurl_base64_encode(l[o].href) + "&type=" + encodeURIComponent(n) : "magnet:" === l[o].protocol && (l[o].href = megaurl_url + "full/?api=" + encodeURIComponent(megaurl_api_token) + "&url=" + megaurl_base64_encode(l[o].href) + "&type=" + encodeURIComponent(n))
        }
    });
</script>